from distutils.core import setup, Extension
from numarray.numarrayext import NumarrayExtension
import sys

#for numarray:
if not hasattr(sys, 'version_info') or sys.version_info < (2,2,0,'alpha',0):
	raise SystemExit, 'Python 2.2 or later required to build this module.'

setup(name='pyLAPJV', version='0.2.3', url='http://mit.edu/harold/www/code.html#pyLAPJV',\
download_url='http://mit.edu/harold/Public/pyLAPJV.tgz',\
description='efficient algorithm for the linear assignment problem',\
long_description="""This module is just a simple wrapper for the C++ code written by Jonker
to implement the Jonker-Volgenant algorithm, LAPJV, for the linear
assignment problem.""",\
author='Roy Jonker',\
maintainer='Harold Cooper',maintainer_email='hbc@mit.edu',\
ext_modules=[NumarrayExtension('LAPJV',['pyLAPJV.cpp','lap.cpp'])])